Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Class ResourceWorkingSetFilter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerFilter
          org.eclipse.ui.ResourceWorkingSetFilter

public class ResourceWorkingSetFilter
extends ViewerFilter

A resource working set filter filters resources from a view that are neither a parent nor children of a working set element.

Since:
  2.0

Constructor Summary
`ResourceWorkingSetFilter()`

Method Summary
`Object[]` | `filter(Viewer viewer, Object parent, Object[] elements)` Filters out elements that are neither a parent nor a child of a working set element.
`IWorkingSet` | `getWorkingSet()` Returns the active working set the filter is working with.
`boolean` | `select(Viewer viewer, Object parentElement, Object element)` Determines if an element should be filtered out.
`void` | `setWorkingSet(IWorkingSet workingSet)` Sets the active working set.

Methods inherited from class org.eclipse.jface.viewers.ViewerFilter
`isFilterProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceWorkingSetFilter

    public ResourceWorkingSetFilter()

Method Detail

### getWorkingSet

    public IWorkingSet getWorkingSet()

  Returns the active working set the filter is working with.

  Returns:
    the active working set

### setWorkingSet

    public void setWorkingSet(IWorkingSet workingSet)

  Sets the active working set.

  Parameters:
    `workingSet` - the working set the filter should work with

### select

    public boolean select(Viewer viewer,
                          Object parentElement,
                          Object element)

  Determines if an element should be filtered out.

  Specified by:
    `select` in class `ViewerFilter`
  Parameters:
    `viewer` - the viewer
    `parentElement` - the parent element
    `element` - the element
  Returns:
    `true` if element is included in the filtered set, and `false` if excluded
  See Also:
    `ViewerFilter.select(Viewer, Object, Object)`

### filter

    public Object[] filter(Viewer viewer,
                           Object parent,
                           Object[] elements)

  Filters out elements that are neither a parent nor a child of a working set element.

  Overrides:
    `filter` in class `ViewerFilter`
  Parameters:
    `viewer` - the viewer
    `parent` - the parent element
    `elements` - the elements to filter
  Returns:
    the filtered elements
  See Also:
    `ViewerFilter.filter(Viewer, Object, Object[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.